Name:           libportal
Version:        0.3
Release:        1
Summary:        Flatpak portal library
License:        LGPLv2+
Url:            https://github.com/flatpak/libportal
Source:         https://github.com/flatpak/libportal/releases/download/0.3/libportal-0.3.tar.xz

BuildRequires:  glibc-devel gcc
BuildRequires:  meson
BuildRequires:  git
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  gtk-doc
# For doc links
#BuildRequires:  pipewire-doc

%description
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

%package devel
Summary: Development files and libraries for %name
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with %name.

%package devel-doc
Summary: Development documentation for libportal
Group: Development/C
BuildArch: noarch

%description devel-doc
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides development documentations for libportal.

%prep
%autosetup -S git

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%{_libdir}/libportal.so.0*
%doc README* COPYING

%files devel
%{_includedir}/libportal
%{_libdir}/libportal.so
%{_libdir}/pkgconfig/libportal.pc

%files devel-doc
%{_datadir}/gtk-doc/html/libportal

%changelog
* Thu Jun 24 2021 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 0.3-1
- Init package.

